import * as THREE from '../../build/three.module.js';
import * as SCENE from '../../Init3D.js'
import * as CAMERA from '../../CameraSetup.js';
import { GLTFLoader } from '../../jsm/loaders/GLTFLoader.js'

const pi = Math.pi;

export function DummyGeometry() {

    // a plane at 0,0 to show the floor
    const DeskFloorGeometry = new THREE.BoxGeometry(1, .01, 1);
    const DeskFloorMaterial = new THREE.MeshStandardMaterial({ color: 0x7a4b05 })
    const DeskFloorMesh = new THREE.Mesh(DeskFloorGeometry, DeskFloorMaterial);
    DeskFloorMesh.position.set(0, .56, 0)
    DeskFloorMesh.receiveShadow = true;
    DeskFloorMesh.castShadow = true;
    SCENE.scene.add(DeskFloorMesh);
}
//------------------------------------------------------------------------
const GLTFfileAddress = '../Assets/Models/tubes.glb'
const ModelScale = .1;
//***************************************************************************************************************
export function TubeLoader() {

    const PageAniMationGLTFloader = new GLTFLoader();
    PageAniMationGLTFloader.load(
        GLTFfileAddress,
        function (gltf) {
            //------glass material ---------
            const ShisheMaterial = new THREE.MeshPhysicalMaterial({
                roughness: 0,
                transmission: 1,
                thickness: .2,
                envMap: CAMERA.cubeRenderTarget.texture,
            })

            var GLTFobject = gltf.scene;
            GLTFobject.scale.set(ModelScale, ModelScale, ModelScale);
            GLTFobject.position.set(0.1, .5, 0)
            SCENE.scene.add(GLTFobject);
            GLTFobject.traverse(function (node) {
                if (node instanceof THREE.Mesh) {
                    node.material = ShisheMaterial
                    node.receiveShadow = true;
                    node.castShadow = true;
                }
            });


        },
        function (xhr) {
            //console.log((xhr.loaded / xhr.total * 100) + '% loaded');
        },
        function (error) {
            console.log('An error happened');
        }
    );
}

