import * as THREE from './build/three.module.js';
import * as SCENE from './Init3D.js';
import * as GVARS from './GlobalVars.js';
import { func } from './jsm/nodes/Nodes.js';
const pi = 3.141592;
//***************************************************************************************************************
//*********************************************** Camera setup ***************************************************
const ratio = window.devicePixelRatio
export const camera = new THREE.PerspectiveCamera(35, ratio, 0.1, 1000);
//***************************************************************************************************************
camera.position.set(GVARS.DefaultBookCameraPosition.x, GVARS.DefaultBookCameraPosition.y, GVARS.DefaultBookCameraPosition.z)
camera.lookAt(GVARS.LookAtTheBook)
//-------------------- helper ---------------------------
export const Camerahelper = new THREE.CameraHelper(camera);
//------------------------------------------------------------
export function CameraAspectUpdate() {
    camera.aspect = window.innerWidth / window.innerHeight;
    camera.updateProjectionMatrix();

    SCENE.renderer.setSize(window.innerWidth, window.innerHeight);
}
//------------------------------------------------------------
export var cubeRenderTarget;
export let cubeCamera;
export function CubeCameraInit() {
    // Create cube render target
    cubeRenderTarget = new THREE.WebGLCubeRenderTarget(
        Math.pow(2, 3),
        {
            generateMipmaps: true, minFilter: THREE.LinearMipmapLinearFilter
        }
    );

    // Create cube camera
    cubeCamera = new THREE.CubeCamera(1, 100000, cubeRenderTarget);
    SCENE.scene.add(cubeCamera);
}

