import * as THREE from './build/three.module.js';
import * as CAMERA from './CameraSetup.js';
import Stats from './jsm/libs/stats.module.js'

export const stats = Stats()
document.body.appendChild(stats.dom)
//***************************************************************************************************************
//*********************************************** Scene setup ***************************************************
export const scene = new THREE.Scene();
//***************************************************************************************************************
//*********************************************** Render setup ***************************************************
export const renderer = new THREE.WebGLRenderer({
    antialias: true,
});
export const WindowsDeviceratio = window.devicePixelRatio;
console.log('WindowsDeviceratio', WindowsDeviceratio)

renderer.setSize(window.innerWidth, window.innerHeight);
renderer.outputEncoding = THREE.sRGBEncoding;
renderer.setPixelRatio(WindowsDeviceratio);
renderer.shadowMap.enabled = true;
renderer.shadowMap.autoUpdate = true;
/*THREE.BasicShadowMap
THREE.PCFShadowMap
THREE.PCFSoftShadowMap
THREE.VSMShadowMap*/
renderer.shadowMap.type = THREE.PCFSoftShadowMap; // default THREE.PCFShadowMap
//------------------------------------------------------------------
let container = document.getElementById('container');
container.appendChild(renderer.domElement);
//------------------------------------------------------------------
export function render() {
    renderer.render(scene, CAMERA.camera);
}
//------------------------------------------------------------------
const params = {
    color: '#ddffff'
};
//scene.background = new THREE.Color( params.color );
THREE.Cache.enabled = true;

