import * as THREE from './build/three.module.js';
import * as SCENE from './Init3D.js'
import * as GVARS from './GlobalVars.js';

//***************************************************************************************************************
//*********************************************** Light setup ***************************************************
export var candleSpotLightAni
export function LightInit() {
    //----- 1 -------
    /*const light1 = new THREE.PointLight(0xFFFFFF, 1);
    light1.position.set(0, .8, .2);
    light1.castShadow = true; // default false
    SCENE.scene.add(light1);

    //Set up shadow properties for the light
    light1.shadow.mapSize.width = Math.pow(2, 9) // default
    light1.shadow.mapSize.height = Math.pow(2, 9); // default
    light1.shadow.camera.near = 0.5; // default
    light1.shadow.camera.far = 100; // default
    light1.shadow.bias = 0.005;

    const helper1 = new THREE.PointLightHelper(light1, .1);
    SCENE.scene.add(helper1);*/


    //----- 2 -------
    /*const light2 = new THREE.PointLight(0xFFFFFF, 1);
    light2.position.set(-5, -1, -1 );
    light2.castShadow = true; // default false
    SCENE.scene.add(light2);*/
    //----- 3 -------
    const ambientLight = new THREE.AmbientLight(0xcccccc);
    ambientLight.intensity = .3
    SCENE.scene.add(ambientLight);
    //-------------------------------------------------------------------------------------------
    candleSpotLightAni = new THREE.SpotLight(0xffaa33);
    candleSpotLightAni.position.set(GVARS.FlamePositionOffset.x, GVARS.FlamePositionOffset.y, GVARS.FlamePositionOffset.z);
    candleSpotLightAni.target.position.set(GVARS.FlameSpotLightTarget.x, GVARS.FlameSpotLightTarget.y, GVARS.FlameSpotLightTarget.z);
    candleSpotLightAni.target.updateMatrixWorld();
    candleSpotLightAni.angle = Math.PI / 3
    candleSpotLightAni.intensity = 1
    candleSpotLightAni.penumbra = 1;
    candleSpotLightAni.shadow.bias = -.000001;
    candleSpotLightAni.castShadow = true;

    candleSpotLightAni.shadow.mapSize.width = GVARS.CheraghLightShadowMap;
    candleSpotLightAni.shadow.mapSize.height = GVARS.CheraghLightShadowMap;

    candleSpotLightAni.shadow.camera.near = .0001;
    candleSpotLightAni.shadow.camera.far = 3;
    candleSpotLightAni.shadow.camera.fov = 30;

    SCENE.scene.add(candleSpotLightAni);
    SCENE.scene.add(candleSpotLightAni.target);
    const candleSpotLightAniHelper = new THREE.SpotLightHelper(candleSpotLightAni);
    SCENE.scene.add(candleSpotLightAniHelper);

    //-------------------------------------------------------------------------------------------
}